Bug 216322 - Review Request: tailor - VCS repository conversion tool
Review Request: tailor - VCS repository conversion tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-19 04:52 EST by Dan Horák
Modified: 2008-11-25 11:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 07:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2006-11-19 04:52:35 EST
Spec URL: http://fedora.danny.cz/tailor.spec
SRPM URL: http://fedora.danny.cz/tailor-0.9.26-1.src.rpm

Description: Tailor is a tool to migrate changesets between CVS, Subversion, git,
darcs, monotone, Codeville, Mercurial and Baazar-NG repositories.

This script makes it easier to keep the upstream changes merged in
a branch of a product, storing needed information such as the upstream
URI and revision in special properties on the branched directory.

Notes:
- the spec file is based on the ATrpms one
- rpmlint is silent on both source and binary rpms
Comment 1 Jochen Schmitt 2006-11-20 13:24:49 EST
God:
+ Local build works fine.
+ Source matches with upstream.
* Mock build works fine.



Bad:
- Rpmlint shows the following waring on the source package:
W: tailor no-%build-section
- python-vcpx doesn't contains any documentation
- Local test run fails with:
Script started on Mo 20 Nov 2006 19:23:47 CET
Traceback (most recent call last):
  File "/usr/bin/tailor", line 24, in ?
    from vcpx.tests import main
ImportError: No module named tests

Script done on Mo 20 Nov 2006 19:23:47 CET


Comment 2 Dan Horák 2006-11-20 15:42:12 EST
- (In reply to comment #1)
> Bad:
> - Rpmlint shows the following waring on the source package:
> W: tailor no-%build-section

it used to be possible to omit the build section when there was nothing to do
(and my version of rpmlint is silent :-) )

> - python-vcpx doesn't contains any documentation

yes, there are really no docs for the subpackage

> - Local test run fails with:
> Script started on Mo 20 Nov 2006 19:23:47 CET
> Traceback (most recent call last):
>   File "/usr/bin/tailor", line 24, in ?
>     from vcpx.tests import main
> ImportError: No module named tests
> 
> Script done on Mo 20 Nov 2006 19:23:47 CET

Please, can you tell me, what and how are you trying to run? The included tests
during or after the build?

And because there is no COPYING file included, I will ask the upstream to
include it in the next versions. The license (GPL) is explicitly mentioned in
the README.
Comment 3 Dan Horák 2007-01-05 08:30:08 EST
Spec URL: http://fedora.danny.cz/tailor.spec
SRPM URL: http://fedora.danny.cz/tailor-0.9.27-1.src.rpm

- updated to upstream version 0.9.27

I have requested the inclusion of the COPYING file, but have no reaction yet.
Comment 4 Dan Horák 2007-04-28 09:09:51 EDT
Spec URL: http://fedora.danny.cz/tailor.spec
SRPM URL: http://fedora.danny.cz/tailor-0.9.28-1.fc7.src.rpm

- updated to upstream version 0.9.28
Comment 5 Dan Horák 2007-04-28 10:52:50 EDT
Running tests with "tailor test" is not possible on installed package, because
the test python module is excluded during the installation run of setup.py. Also
local copy of tailor's darcs repository is required.
Comment 6 Jochen Schmitt 2007-06-21 16:45:43 EDT
Ping Dan
Comment 7 Dan Horák 2007-06-22 04:30:12 EDT
Pong
Comment 8 Jochen Schmitt 2007-06-24 13:41:48 EDT
I have ask to solve the reported issue in Comment #5.
Comment 9 Dan Horák 2007-06-27 15:09:02 EDT
What solution would you like to see? Running tests with installed package is not
possible (it is author's intention), so I can offer removing the "test" command
from the main script. Do you agree?
Comment 10 Jochen Schmitt 2007-06-27 15:18:31 EDT
OK, If is impossible to run the tests, then remove it.
Comment 11 Dan Horák 2007-06-27 15:48:25 EDT
Spec URL: http://fedora.danny.cz/tailor.spec
SRPM URL: http://fedora.danny.cz/tailor-0.9.28-2.fc7.src.rpm

- disabled running tests on installed package
Comment 12 Jochen Schmitt 2007-06-28 11:49:35 EDT
Good:
+ Package meets naming guidlines
+ Spec file match with name of the package
+ RPM macros are used consistently
+ Package contains proper buildroot
+ Sub packages are defined properly
+ Package is llcensed on the terms of the GPL.
+ Header of source files contains references to the GPL
+ Tar ball metches with upstream
  (md5sum: 82033c16e895d51ae5893def06c59d29)
+ Package contains proper %defattr and file permissions
+ Filelist contains no duplicated entry
+ Package contains no files or directory own by other packages
+ %doc section is small
+ %doc section doen't affect runtime
+ Package contains proper %clean section
+ Buildroot will clean on the beginning of the %install section
+ Local build works fine.
+ Changelog section looks ok
+ Rpmlint is quite on source package
+ Mock build works fine for Devel and F-7 (x86_64)

Bad:
- Package doesn't contains verbatim copy of the license text
  (Please ask upstream to include a copy of the GPL license text)
- Rpmlint complaints python-vcpx package:
E: python-vcpx non-executable-script
/usr/lib/python2.5/site-packages/vcpx/repository/p4/p4lib.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

You should remove the shebang line from the file complaint by Rpmlint.

 
Comment 13 Dan Horák 2007-06-28 13:08:01 EDT
Spec URL: http://fedora.danny.cz/tailor.spec
SRPM URL: http://fedora.danny.cz/tailor-0.9.28-3.fc7.src.rpm

- removed the shebang line from non-executable script

I have also asked the upstream author to include the copy of GPL into the
distributed sources.

Comment 14 Jochen Schmitt 2007-07-01 15:03:18 EDT
Hello,

Now the Rpmlint output is OK for me, so I can APPROVED  the package.

Unfortanately, I can't change the fedora-review flag thue a technical issue.
Comment 15 manuel wolfshant 2007-07-01 18:17:46 EDT
Setting the fedora+ flag on behalf of Jochen
Comment 16 Dan Horák 2007-07-03 03:26:33 EDT
New Package CVS Request
=======================
Package Name: tailor
Short Description: VCS repository conversion tool
Owners: dan@danny.cz
Branches: F-7 devel
InitialCC: dan@danny.cz
Comment 17 Dan Horák 2007-07-03 03:28:14 EDT
Thanks for the review. I am removing the FE-REVIEW blocker bug now.
Comment 18 Dan Horák 2007-07-04 07:31:06 EDT
package imported and built
Comment 19 Dan Horák 2008-11-25 07:43:44 EST
Package Change Request
======================
Package Name: tailor
New Branches: EL-5
Owners: sharkcz
Comment 20 Dennis Gilmore 2008-11-25 11:53:30 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.